Subject: FW: MobiCom'98 Paper results

From: "Samir R. Das" <[email-masked]>
Date: Wed, 10 Jan 2001 22:58:57 -0500

Folks,

After re-reading my mail, it occured to me that my message could be
interpreted as suggesting that the original CMU implementation of AODV was
somehow deficient or inaccurate. I didn't mean to suggest that at all.

The AODV code in the current ns-2 distributions performs better than the
original CMU code in many cases because the current code reflects an
improved version of the protocol. As many of you are aware, the protocol has
evolved (and improved) over the last several Internet Drafts.

Sorry for any confusion my post might have caused.

Samir

>Hello Wang,
>
>The simulation model of AODV-LL that you are using is not the same as
>the one used by the CMU group for their MobiCom98 work. The model
>implementation has been improved much over the implementation they
>used. Also the protocol specs changed and reflect a later version of
>the protocol.
>
>So I am not surprised that you are seeing much less routing overhead.
>This probably is due to a better pacing of route discoveries and use
>of expanding ring search.
>
>Samir Das
>
>
>> -----Original Message-----
>> From: [email-masked]
>> [mailto:[email-masked]]On Behalf Of Wang Qiang
>> Sent: Tuesday, January 09, 2001 9:28 AM
>> To: [email-masked]
>> Subject: MobiCom'98 Paper results
>>
>>
>> Hello ns users,
>>
>> I have a question regarding the simulation results
>> presented in CMU's
>> MobiCom'98 paper "A performance comparison of multi-hop
>> wireless ad hoc
>> network routing protocols".  I'm trying run the simulation
>> for DSDV-SQ, DSR,
>> AODV-LL and TORA as mentioned in the paper and see if the
>> results could be
>> reproduced.
>> I'm using ns-allinone-2.1b7 package installed on RedHat
>> Linux 7.0.  So far
>> the results for DSDV-SQ and DSR are close to those
>> presented in the paper.
>> However, I CAN'T get the same output for AODV-LL protocol!
>> I set the
>> following constants as listed in the paper:
>>
>> #define AODV_LINK_LAYER_DETECTION
>>
>> #define MY_ROUTE_TIMEOUT  	600
>> #define ACTIVE_ROUTE_TIMEOUT 	300
>> #define REV_ROUTE_LIFE		3
>> #define BCAST_ID_SAVE		3
>>
>> #define NETWORK_DIAMETER	50
>>
>> #define NODE_TRAVERSAL_TIME	0.04
>>
>> #define HELLO_INTERVAL		1
>> #define ALLOWED_HELLO_LOSS	3
>> #define BAD_LINK_LIFETIME	3
>>
>> #define RREP_WAIT_TIME		6.0
>> #define LOCAL_REPAIR_WAIT_TIME 0.15
>> #define MAX_RREQ_TIMEOUT	10.0
>>
>> #define TTL_START			1
>> #define TTL_THRESHOLD		7
>> #define TTL_INCREMENT		2
>>
>> #define MaxHelloInterval 	( 1.25 * HELLO_INTERVAL )
>> #define MinHelloInterval 	( 0.75 * HELLO_INTERVAL )
>>
>> But after a few runs using the same scenarios files and
>> movement pattern
>> files as used for DSDV-SQ and DSR, at 20m/s max. speed, 0s
>> pause time and 20
>> CBR sources, the AODV_LL packet delivery ratio value is
>> around 97.2%, BUT
>> the routing overhead value insists to be around 55489.5,
>> which is an order
>> of magnitude less than the value of over 120,000 presented
>> in the paper!!!
>> Even after I changed MY_ROUTE_TIMEOUT to 60 and
>> ACTIVE_ROUTE_TIMEOUT to 50,
>> the outcome remain the same!  Could someone please give me
>> some help?  How
>> should I set those parameters to produce the same settings as in the
>> MobiCom'98 paper?
>> Your help is sincerely appreciated!
>>
>> Wang Qiang
>>
>>